#!/bin/sh
# clean.sh -- clean up unneeded files after test
#
# Usage: clean.sh
#
# History:  96/04/10  kmflynn

# remove files generated automatically
  if [ -f check.out ] ; then rm check.out ; fi

# remove files generated by 'unit' tests
  for No in 1 ; do
     for Sfx in cm lg ; do
        for Step in 1 2 3 4 ; do
           if [ -f test$No.$Sfx$Step ] ; then rm test$No.$Sfx$Step ; fi
        done
     done
  done

# remove files generated by problem test
  if [ -f test_W1.wdm ] ; then rm test_W1.wdm ; fi
  for Prb in test_F1 test_F3 test_D1 test_W1 ; do
     for Sfx in lg bc fl in pl ps ot ; do
        for Step in 1 2 3 4 ; do
           if [ -f $Prb.$Sfx$Step ] ; then rm $Prb.$Sfx$Step ; fi
        done
     done
  done

# remove files that may be left if test exited unexpectedly
  for File in flow.in flow.out bltm.in bltm.out bltm.flw plt.out \
              out old in rt bc obs unit.in parcel.out ERROR.FIL  \
              test_W1.exp ANNIE.LOG ERROR.FIL XPAD.DAT ; do
     if [ -f $File ] ; then rm $File ; fi
  done

# end of shell
